package com.cool.store.service;

import com.cool.store.request.PreparationRequest;
import com.cool.store.vo.Preparation.PreparationProcessVO;
import com.cool.store.vo.Preparation.PreparationScheduleDetailVO;
import com.cool.store.vo.Preparation.PreparationScheduleVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2024/4/22 16:10
 * @Version 1.0
 */
public interface PreparationService {


    /**
     * 开业进度列表
     * @param preparationRequest
     * @return
     */
    PageInfo<PreparationScheduleVO>  getPreparationSchedule(PreparationRequest preparationRequest);


    /**
     *  开业进度详情
     * @param shopId
     * @return
     */
    PreparationScheduleDetailVO getPreparationDetail(Long shopId);

    PreparationProcessVO getPreparationProcess(Long shopId);

    /**
     * 校验建店与加盟签约合同是否完成 并初始化后续流程数据
     * @param shopId
     */
    void contractAndBuildStoreCompletion(Long shopId);


    /**
     * 建店完成
     * @param shopId
     */
    void sysStoreCompleted(Long shopId);
    /**
     * 证照办理+建店资料 都完成 初始化平台建店数据
     * @param shopId
     */
    void licenseCompleted(Long shopId);


    /**
     * 是否开业验收 改走的流程都已经完成 ->初始化开业验收数据
     * @param shopId
     */
    void whetherToOpenForAcceptance(Long shopId);
    /**
     * @Auther: wangshuo
     * @Date: 2024/5/9
     * @description:装修阶段刷新
     */
    Boolean  decorationFlush(Long shopId);


}
